查询任务
GET/v1/videos/{id} 查询视频任务
查询指定视频生成任务的当前状态与详细信息。
GET https://www.vortapapi.com/v1/videos/{id}
路径参数
| 名称 | 类型 | 必填 | 说明 |
|---|---|---|---|
id | string | 是 | 要查询的视频任务 ID。 |
请求头
| 名称 | 必填 | 说明 |
|---|---|---|
Content-Type | 是 | 请求内容类型,通常为 application/json。 |
Accept | 是 | 期望的响应格式,通常为 application/json。 |
Authorization | 否 | API 认证信息,格式为 Bearer sk-***。 |
X-Forwarded-Host | 否 | 转发主机信息,可按需传入。 |
请求示例
curl https://www.vortapapi.com/v1/videos/sora-2:task_01k6x15vhrff09dkkqjrzwhm60 \
-H "Accept: application/json" \
-H "Authorization: Bearer sk-***"
响应示例
{
"id": "sora-2:task_01k6x15vhrff09dkkqjrzwhm60",
"detail": {
"id": "task_01k6x15vhrff09dkkqjrzwhm60",
"input": {
"size": "small",
"model": "sy_ore",
"images": [
"https://filesystem.site/cdn/20250612/VfgB5ubjInVt8sG6rzMppxnu7gEfde.png",
"https://filesystem.site/cdn/20250612/998IGmUiM2koBGZM3UnZeImbPBNIUL.png"
],
"prompt": "make animate",
"orientation": "portrait"
},
"status": "pending",
"pending_info": {
"id": "task_01k6x15vhrff09dkkqjrzwhm60",
"seed": null,
"type": "video_gen",
"user": "user-a1sGDUIOXV32hNITe59LEkHa",
"model": "sy_8",
"title": "New Video",
"width": 352,
"height": 640,
"prompt": "make animate",
"sdedit": null,
"status": "processing",
"actions": null,
"guidance": null,
"n_frames": 450,
"priority": 2,
"operation": "simple_compose",
"preset_id": null,
"created_at": "2025-10-06T15:10:26.875729Z",
"n_variants": 1,
"project_id": null,
"request_id": null,
"generations": [],
"tracking_id": null,
"progress_pct": 0.9302178175176704,
"remix_config": null,
"inpaint_items": [
{
"type": "image",
"preset_id": null,
"crop_bounds": null,
"frame_index": 0,
"cameo_file_id": null,
"generation_id": null,
"upload_media_id": "media_01k6x15tnzezbst05sth2qgd8r",
"source_end_frame": 0,
"uploaded_file_id": null,
"source_start_frame": 0
},
{
"type": "image",
"preset_id": null,
"crop_bounds": null,
"frame_index": 0,
"cameo_file_id": null,
"generation_id": null,
"upload_media_id": "media_01k6x15tzafwztz74t018v3enw",
"source_end_frame": 0,
"uploaded_file_id": null,
"source_start_frame": 0
}
],
"interpolation": null,
"is_storyboard": null,
"failure_reason": null,
"organization_id": null,
"moderation_result": {
"code": null,
"type": "passed",
"task_id": "task_01k6x15vhrff09dkkqjrzwhm60",
"is_output_rejection": false,
"results_by_frame_index": {}
},
"needs_user_review": false,
"queue_status_message": null,
"progress_pos_in_queue": null,
"num_unsafe_generations": 0,
"estimated_queue_wait_time": null
}
},
"status": "pending",
"status_update_time": 1759763621142
}
响应字段说明
| 字段 | 类型 | 说明 |
|---|---|---|
id | string | 视频任务的外部标识。 |
detail | object | 任务的详细信息。 |
detail.id | string | 任务内部 ID。 |
detail.input | object | 创建任务时提交的输入参数。 |
detail.status | string | 任务状态,例如 pending。 |
detail.pending_info | object | 当任务仍在排队或处理中时返回的进度与生成配置。 |
status | string | 当前任务状态。 |
status_update_time | integer | 状态更新时间,Unix 毫秒时间戳。 |
状态说明
| 状态 | 说明 |
|---|---|
pending | 任务已创建,正在排队或处理中。 |
processing | 任务正在生成中,通常出现在 pending_info.status 中。 |
completed | 任务已完成,可获取生成结果。 |
failed | 任务生成失败,可查看错误或失败原因字段。 |